## debian-installer 20101020ubuntu318

=== build/Makefile ===
#!/usr/bin/make -f
#
# Debian Installer system makefile.
# Copyright 2001-2003 by Joey Hess <joeyh@debian.org> and the d-i team.
# Licensed under the terms of the GPL.
#
# This makefile builds a debian-installer system and bootable images from 
# a collection of udebs which it downloads from a Debian archive. See
# README for details.
#
#
# General layout of our build directory hierarchy
#
# build/config/[<subarch>/][<medium>/][<flavour>/]<leaf-config>
# build/tmp/[<subarch>/][<medium>/][<flavour>/]<build-area>
# build/dest/[<subarch>/][<medium>/][<flavour>-]<images>
#
# Items in brackets can be left out if they are superfluous.
#
# These following <image> names are conventional.
#
# For small changeable media (floppies and the like):
# - boot.img, root.img, driver.img
#
# For single bootable images (e.g. tftp boot images):
# - boot.img
#
# For compressed single bootable images (harddisk or hd emulation):
# - boot.img.gz
#
# If those are not bootable:
# - root.img.gz
#
# Raw kernel images:
# - vmlinux or vmlinuz
#
# Example:
#
# dest/
# |-- cdrom-boot.img
# |-- floppy
# |   |-- access
# |   |   |-- boot.img
# |   |   |-- drivers.img
# |   |   `-- root.img
# |   |-- boot.img
# |   |-- cd-drivers.img
# |   |-- net-drivers.img
# |   `-- root.img
# |-- hd-media-boot.img.gz
# `-- netboot
#     |-- initrd.gz
#     `-- vmlinuz
#

# Add to PATH so dpkg will always work, and so local programs will be found.
PATH := util:$(PATH):/usr/sbin:/sbin

# We don't want this to be run each time we re-enter.
ifndef DEB_HOST_ARCH
DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_GNU_CPU = $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_SYSTEM = $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_HOST_MULTIARCH = $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_ARCH DEB_HOST_ARCH_OS DEB_HOST_GNU_CPU DEB_HOST_GNU_SYSTEM DEB_HOST_MULTIARCH
endif

# We loop over all needed combinations of ARCH, SUBARCH, MEDIUM, FLAVOUR
# via recursive make calls. ARCH is constant, we don't support
# crosscompiling.
ARCH = $(DEB_HOST_ARCH)

# By default, we just advertise what we can do.
.PHONY: all
all: list

# Globally useful variables.
targetstring = $(patsubst _%,%,$(if $(SUBARCH),_$(SUBARCH),)$(if $(MEDIUM),_$(MEDIUM),)$(if $(FLAVOUR),_$(FLAVOUR),))
targetdirs = $(subst _,/,$(targetstring))

# Overridden in config/hurd.cfg
define genext2fs
  genext2fs -d $(TREE) -b `expr $$(du -s $(TREE) | cut -f 1) + $$(expr $$(find $(TREE) | wc -l) \* 2)` -m 0
endef

# Configurations for the varying ARCH, SUBARCH, MEDIUM, FLAVOUR.
# For simplicity, we use a similiar tree layout for config/, tmp/
# and dest/.
#
# Cheap trick: if one of the variables isn't defined, we run in
# a non-existing file and ignore it.
include config/common
include config/dir
-include config/$(ARCH).cfg
-include config/$(ARCH)/$(SUBARCH).cfg
-include config/$(ARCH)/$(SUBARCH)/$(MEDIUM).cfg
-include config/$(ARCH)/$(SUBARCH)/$(MEDIUM)/$(FLAVOUR).cfg
-include config/local

export KEYRING
export KERNELVERSION
export LOCALUDEBDIR

ifneq ($(shell id -u),0)
  ROOTCMD ?= fakeroot
endif

# Useful command sequences
define submake
  $(ROOTCMD) $(MAKE) --no-print-directory
endef

define recurse_once
  @set -e; $(submake) $(1)_$(2)
endef

define recurse_many
  @set -e; $(foreach var,$($(1)_SUPPORTED) $(if $(RECURSE_EXTRA),$($(1)_SUPPORTED_EXTRA)),$(submake) $(2)_$(3) $(1)=$(var);)
endef

define recurse
  $(if $($(1)_SUPPORTED)$(if $(RECURSE_EXTRA),$($(1)_SUPPORTED_EXTRA)),$(call recurse_many,$(1),$(2),$(3)),$(call recurse_once,$(2),$(3)))
endef

define mkinitramfs
  (cd $(TREE) && find . | cpio --quiet -o -H newc) > 
endef

define mkfs.ufs1
  sh -c 'makefs -t ffs -s 42m -f 3000 -o minfree=0,version=1 $$0 ${TREE}'
endef

define e2fsck
  e2fsck -fy
endef

define mkcramfs
  mkcramfs -z $(TREE)
endef

# Define MKFS_JFFS2 in the config file for your target.
# For example: MKFS_JFFS2 = mkfs.jffs2 -f -p -b -e 0x20000
define mkjffs2
  $(MKFS_JFFS2) -d $(TREE) -o
endef

# A generic recursion rule
.PHONY: all_%
all_%:
	@install -d $(STAMPS)
	$(call recurse,SUBARCH,subarch,$*)

.PHONY: subarch_%
subarch_%:
	$(call recurse,MEDIUM,medium,$*)

.PHONY: medium_%
medium_%:
	$(call recurse,FLAVOUR,flavour,$*)

.PHONY: flavour_%
flavour_%:
	$(if $(targetstring),@$(submake) _$*)

# Validate a targetstring, echo env variables for valid ones
.PHONY: validate_%
validate_%:
	@set -e; \
	SUBARCH= var='$(subst _, ,$(subst validate_,,$@))'; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(SUBARCH_SUPPORTED)$(SUBARCH_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(SUBARCH_SUPPORTED) $(SUBARCH_SUPPORTED_EXTRA) |grep -w $$tmp)" ] || SUBARCH=$$tmp; \
	$(submake) medium_validate SUBARCH=$$SUBARCH var="$$var"

.PHONY: medium_validate
medium_validate:
	@set -e; \
	MEDIUM= var="$(strip $(patsubst $(SUBARCH)%,%,$(var)))"; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(MEDIUM_SUPPORTED)$(MEDIUM_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(MEDIUM_SUPPORTED) $(MEDIUM_SUPPORTED_EXTRA) |grep -w $$tmp)" ] || MEDIUM=$$tmp; \
	$(submake) flavour_validate MEDIUM=$$MEDIUM var="$$var"

.PHONY: flavour_validate
flavour_validate:
	@set -e; \
	FLAVOUR= var="$(strip $(patsubst $(MEDIUM)%,%,$(var)))"; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(FLAVOUR_SUPPORTED)$(FLAVOUR_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(FLAVOUR_SUPPORTED) $(FLAVOUR_SUPPORTED_EXTRA) | grep -w $$tmp)" ] || FLAVOUR=$$tmp; \
	$(submake) finish_validate FLAVOUR=$$FLAVOUR var="$$var"

.PHONY: finish_validate
finish_validate:
	@set -e; \
	var="$(strip $(patsubst $(FLAVOUR)%,%,$(var)))"; \
	if [ -z "$$var" ]; then \
		echo SUBARCH=$$SUBARCH MEDIUM=$$MEDIUM FLAVOUR=$$FLAVOUR; \
	else \
		echo SUBARCH= MEDIUM= FLAVOUR=; \
	fi;


# List all targets useful for direct invocation.
.PHONY: list
list:
	@echo "Useful targets:"
	@echo
	@echo "list"
	@echo "all_build"
	@echo "all_rebuild"
	@echo "stats"
	@echo "all_clean"
	@echo "reallyclean"
	@echo
	@$(submake) all_list RECURSE_EXTRA=1

.PHONY: _list
_list:
	@set -e; \
	echo build_$(targetstring); \
	echo stats_$(targetstring); \
	$(if $(findstring $(MEDIUM),$(WRITE_MEDIA)),echo write_$(targetstring);) \
	echo clean_$(targetstring); \
	echo rebuild_$(targetstring); \
	echo demo_$(targetstring); \
	echo shell_$(targetstring); \
	echo uml_$(targetstring); \
	echo qemu_$(targetstring); \
	echo


# Clean all targets.
.PHONY: reallyclean
reallyclean: all_clean
	rm -rf $(APTDIR) $(APTDIR).udeb $(APTDIR).deb $(BASE_DEST) $(BASE_TMP) $(SOURCEDIR) $(DEBUGUDEBDIR)
	rm -f sources.list sources.list.udeb $(LOCALUDEBDIR)/Packages.gz $(LOCALUDEBDIR)/Packages
	rm -rf $(UDEBDIR) $(STAMPS)

# For manual invocation, we provide a generic clean rule.
.PHONY: clean_%
clean_%:
	@$(submake) _clean $(shell $(submake) $(subst clean_,validate_,$@))
	update-manifest

# The general clean rule.
.PHONY: _clean
_clean: tree_umount
	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
	-rm -f $(STAMPS)tree-unpack-$(targetstring)-stamp $(STAMPS)tree-$(targetstring)-stamp $(STAMPS)extra-$(targetstring)-stamp $(STAMPS)get_udebs-$(targetstring)-stamp
	rm -f $(TEMP)/diskusage.txt
	rm -f $(TEMP)/all.utf
	rm -f $(TEMP)/unifont.bdf $(TREE)/lib/unifont.bgf
	rm -f pkg-lists/standard-udebs pkg-lists/kernel-module-udebs
	rm -rf $(TARGET)
	rm -rf $(TEMP)

# all_build is provided automagically, but for manual invocation
# we provide a generic build rule.
.PHONY: build_%
build_%:
	@install -d $(STAMPS)
	@$(submake) _build $(shell $(submake) $(subst build_,validate_,$@))

# The general build rule.
.PHONY: _build
_build:
	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
	@$(submake) tree_umount $(EXTRATARGETS) $(TARGET)

# Convenience rules to clean and build.
.PHONY: rebuild_%
rebuild_%:
	@$(submake) clean_$(subst rebuild_,,$@) build_$(subst rebuild_,,$@)

.PHONY: _rebuild
_rebuild:
	@$(submake) _clean _build

# Run before releasing built files.
release:
	egrep '^[[:space:]]' $(BASE_DEST)/MANIFEST.udebs | \
		sed 's/^[[:space:]]*//' | sort | uniq > $(BASE_DEST)/udeb.list
	rm -f $(BASE_DEST)/MD5SUMS $(BASE_DEST)/SHA1SUMS $(BASE_DEST)/SHA256SUMS
	cd $(BASE_DEST) && md5sum `find . -type f ! -name \*SUMS` > MD5SUMS
	cd $(BASE_DEST) && sha1sum `find . -type f ! -name \*SUMS` > SHA1SUMS
	cd $(BASE_DEST) && sha256sum `find . -type f ! -name \*SUMS` > SHA256SUMS

# The general tree target.
$(STAMPS)tree-unpack-$(targetstring)-stamp: $(STAMPS)get_udebs-$(targetstring)-stamp
	dh_testroot
	@[ -d ../debian ] || { echo "directory '../debian' not found; complete source of 'debian-installer' package is required"; false; }
	cd .. && dpkg-checkbuilddeps
	@rm -f $@

	# This build cannot be restarted, because dpkg gets confused.
	rm -rf $(TREE)
	# Set up the basic files [u]dpkg needs.
	mkdir -p $(DPKGDIR)/info
	ln -nsf . $(DPKGDIR)/info/$(shell dpkg --print-architecture)
	touch $(DPKGDIR)/status
	# Create a tmp tree
	mkdir -p $(TREE)/tmp
	# Only dpkg needs this stuff, so it can be removed later.
	mkdir -p $(DPKGDIR)/updates/
	touch $(DPKGDIR)/available

ifdef TRANSSTATUS
	# Include translation status file; warn if older than 2 weeks.
	# Do this first to make possible warnings more visible.
	@echo; \
	if [ -f "$(TRANSSTATUS)" ]; then \
		olddate=$$(grep "^# Generated on:" $(TRANSSTATUS) | sed "s/.*: //"); \
		if [ "$$olddate" ]; then \
			if [ $$(( $$(date -u "+%s") - \
			          $$(date -d "$$olddate" "+%s") \
			       )) -gt 1209600 ]; then \
				echo "WARNING: The data in '$(TRANSSTATUS)' is older than 2 weeks."; \
				echo "         Should it maybe be updated?"; \
				sleep 15; \
			fi; \
		else \
			echo "WARNING: no timestamp found in $(TRANSSTATUS)."; \
			sleep 15; \
		fi; \
		mkdir -p $(TREE)/usr/share/localechooser; \
		cp $(TRANSSTATUS) $(TREE)/usr/share/localechooser/translation-status; \
	else \
		echo "WARNING: the file $(TRANSSTATUS) does not exist."; \
		sleep 5; \
	fi
endif

	# Unpack the udebs with dpkg. This command must run as root
	# or fakeroot.
	echo -n > $(TEMP)/diskusage.txt
	set -e; \
	oldsize=0; oldblocks=0; oldcount=0; for udeb in $(UDEBDIR)/*.udeb ; do \
		if [ -f "$$udeb" ]; then \
			pkg=`basename $$udeb` ; \
			dpkg $(DPKG_UNPACK_OPTIONS) --log=/dev/null --root=$(TREE) --unpack $$udeb ; \
			newsize=`du -bs $(TREE) | awk '{print $$1}'` ; \
			newblocks=`du -s $(TREE) | awk '{print $$1}'` ; \
			newcount=`find $(TREE) -type f | wc -l | awk '{print $$1}'` ; \
			usedsize=`echo $$newsize - $$oldsize | bc`; \
			usedblocks=`echo $$newblocks - $$oldblocks | bc`; \
			usedcount=`echo $$newcount - $$oldcount | bc`; \
			version=`dpkg-deb --info $$udeb | grep '^ *Version:' | sed 's/^ *//' | awk '{print $$2}'` ; \
			echo " $$usedsize B - $$usedblocks blocks - $$usedcount files from $$pkg (version $$version)" >>$(TEMP)/diskusage.txt;\
			oldsize=$$newsize ; \
			oldblocks=$$newblocks ; \
			oldcount=$$newcount ; \
		fi; \
	done
	sort -n < $(TEMP)/diskusage.txt > $(TEMP)/diskusage.txt.new && \
		mv $(TEMP)/diskusage.txt.new $(TEMP)/diskusage.txt
	grep-dctrl -nsPackage,Version,Architecture '' $(TREE)/var/lib/dpkg/status | \
		perl -nle '$$p = $$_; $$v = <>; chomp $$v; $$a = <>; chomp $$a; <>; print "$$p $$v $$a"' | \
		sort > $(TEMP_UDEB_LIST)

	# Clean up after dpkg.
	rm -rf $(DPKGDIR)/updates
	rm -f $(DPKGDIR)/available $(DPKGDIR)/*-old $(DPKGDIR)/lock

ifdef EXTRAFILES
	# Copy in any extra files.
	set -e; \
	for file in $(EXTRAFILES); do \
		mkdir -p $(TREE)/`dirname $$file`; \
		cp -a $$file $(TREE)/$$file; \
	done
endif

ifdef SSL_CERTS
	# Copy in any SSL certificates.
	mkdir -p $(TREE)/etc/ssl/certs
	cp -a $(SSL_CERTS) $(TREE)/etc/ssl/certs/
	c_rehash $(TREE)/etc/ssl/certs
	mkdir -p $(TREE)/usr/lib/ssl
	ln -nsf ../../../etc/ssl/certs $(TREE)/usr/lib/ssl/certs
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
ifdef KERNELVERSION
	# Set up modules.dep, ensure there is at least one standard dir (kernel

=== debian/changelog ===
debian-installer (20101020ubuntu318) trusty; urgency=medium

  * No-change rebuild to build against the latest archive components.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 15 Apr 2014 21:34:19 +0100

debian-installer (20101020ubuntu317) trusty; urgency=medium

  * No-change rebuild to build against the latest archive components.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 14 Apr 2014 07:17:43 +0100

debian-installer (20101020ubuntu316) trusty; urgency=medium

  [ Colin Watson ]
  * Remove expert entries from build/boot/powerpc/yaboot.conf* and
    build/boot/ppc64el/grub-cdrom.cfg; they're overly-tempting but generally
    not actually what people want unless debugging the installer, and people
    can always edit the boot menu entry to add "priority=low" if they know
    what they're doing.

  [ Dimitri John Ledkov ]
  * Move master kernels to 3.13.0-24.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 11 Apr 2014 13:34:35 +0100

debian-installer (20101020ubuntu315) trusty; urgency=medium

  * Don't mislabel ppc64el netboot directory as "PXE", as this would cause
    no end of grief.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 09 Apr 2014 09:38:07 -0700

debian-installer (20101020ubuntu314) trusty; urgency=medium

  * Generate a grub netboot image and grub netboot directory for ppc64el.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 09 Apr 2014 08:57:33 -0700

debian-installer (20101020ubuntu313) trusty; urgency=medium

  * Move master kernels to 3.13.0-23.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 05 Apr 2014 01:53:11 -0600

debian-installer (20101020ubuntu312) trusty; urgency=medium

  [ dann frazier ]
  * Add target for X-Gene-specific boot files (u-boot-wrapped) (LP: #1298393)

  [ Adam Conrad ]
  * Move master kernels to 3.13.0-22.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 02 Apr 2014 21:15:46 -0600

debian-installer (20101020ubuntu311) trusty; urgency=medium

  * Move master kernels to 3.13.0-21.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 01 Apr 2014 19:04:54 -0600

debian-installer (20101020ubuntu310) trusty; urgency=medium

  * Move master kernels to 3.13.0-20.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 28 Mar 2014 13:57:39 -0600

debian-installer (20101020ubuntu309) trusty; urgency=medium

  * No-change rebuild to pick up new kernels and components.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 24 Mar 2014 20:43:39 -0600

debian-installer (20101020ubuntu308) trusty; urgency=medium

  * Move master kernels to 3.13.0-19.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 21 Mar 2014 22:44:51 -0600

debian-installer (20101020ubuntu307) trusty; urgency=medium

  * Add virtio-modules to all x86 flavours (LP: #1292216)
  * Move master kernels to 3.13.0-18.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 17 Mar 2014 11:55:27 -0600

debian-installer (20101020ubuntu306) trusty; urgency=medium

  * Move master kernels to 3.13.0-17.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 11 Mar 2014 11:02:02 -0600

debian-installer (20101020ubuntu305) trusty; urgency=medium

  * Move master kernels to 3.13.0-16.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 06 Mar 2014 11:24:59 +0800

debian-installer (20101020ubuntu304) trusty; urgency=medium

  * Move master kernels to 3.13.0-15.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 04 Mar 2014 17:18:07 +0800

debian-installer (20101020ubuntu303) trusty; urgency=medium

  * Move master kernels to 3.13.0-14.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 28 Feb 2014 01:16:09 -0700

debian-installer (20101020ubuntu302) trusty; urgency=medium

  * Move master kernels to 3.13.0-13.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 27 Feb 2014 04:48:51 -0700

debian-installer (20101020ubuntu301) trusty; urgency=medium

  * Move master kernels to 3.13.0-12.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 22 Feb 2014 14:49:39 -0700

debian-installer (20101020ubuntu300) trusty; urgency=medium

  * Update boot logo to match desktop isos and plymouth.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 20 Feb 2014 21:29:16 +0000

debian-installer (20101020ubuntu299) trusty; urgency=medium

  [ Dimitri John Ledkov ]
  * Update boot logo from vintage to modern.

  [ Adam Conrad ]
  * Move master kernels to 3.13.0-11.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 20 Feb 2014 01:53:21 -0700

debian-installer (20101020ubuntu298) trusty; urgency=medium

  * Move master kernels to 3.13.0-10.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 18 Feb 2014 22:54:11 -0700

debian-installer (20101020ubuntu297) trusty; urgency=medium

  * Use mklibs-copy on ppc64el to avoid mangling librt.so.1 beyond repair.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 18 Feb 2014 02:57:37 -0700

debian-installer (20101020ubuntu296) trusty; urgency=medium

  * Copy any SSL certificates to /etc/ssl/certs and symlink
    /usr/lib/ssl/certs to that, to support GnuTLS.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 14 Feb 2014 14:45:30 +0000

debian-installer (20101020ubuntu295) trusty; urgency=medium

  * Add SSL_CERTS variable, which can be used to build images with embedded
    SSL certificates with c_rehash run over them so that OpenSSL can see
    them (LP: #833994).
  * Include wget-udeb in all images so that HTTPS support works out of the
    box.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Feb 2014 21:47:54 +0000

debian-installer (20101020ubuntu294) trusty; urgency=medium

  * Move master kernels to 3.13.0-8.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 07 Feb 2014 10:46:53 -0700

debian-installer (20101020ubuntu293) trusty; urgency=medium

  * Move master kernels to 3.13.0-7.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 04 Feb 2014 18:41:48 -0700

debian-installer (20101020ubuntu292) trusty; urgency=medium

  * Move master kernels to 3.13.0-6.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 31 Jan 2014 17:52:32 +0000

debian-installer (20101020ubuntu291) trusty; urgency=medium

  * Add the linux module to the ppc64el/cdrom GRUB image, so that we can
    actually boot the kernel.



=== debian/control ===
Source: debian-installer
Section: devel
Priority: optional
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Frans Pop <fjp@debian.org>, Otavio Salvador <otavio@debian.org>
Standards-Version: 3.8.3
XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/installer
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/debian-installer/ubuntu
Build-Conflicts: libnewt-pic [mipsel]
# NOTE: Do not edit the next line by hand. See comment below.
Build-Depends: debhelper (>= 7.0.0), apt, apt-utils, gnupg, ubuntu-keyring, dctrl-tools, wget, bc, debiandoc-sgml, xsltproc, docbook-xml, docbook-xsl, libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], lsb-release, glibc-pic, libslang2-pic (>= 2.0.6-4), libnewt-pic (>= 0.52.2-11.3) [!mipsel], libnewt-dev (>= 0.52.2-11.3) [mipsel], libgcc1 [i386 amd64], cramfsprogs [powerpc ia64 mips mipsel armeb armel], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.25), genisoimage (>= 9:1.1.10-1ubuntu2) [!s390 !s390x], genromfs [sparc sparc64], hfsutils [powerpc], dosfstools (>= 3.0.9-1ubuntu2) [i386 ia64 m68k amd64 armel armhf], cpio, devio [armeb armel], parted [armel armhf], slugimage (>= 0.10+r58-6) [armeb armel], u-boot-tools [arm64 armel armhf], syslinux (>= 2:4.02) [i386 amd64], palo [hppa], elilo [ia64], yaboot [powerpc], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc sparc64], genisovh [mips], tip22 [mips], colo [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], amiboot [m68k], emile [m68k], emile-bootblocks [m68k], u-boot [armel armhf], shim-signed [amd64], tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64], mtools [i386 ia64 m68k amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 armel armhf], po4a [i386 amd64], python3 (>= 3.1) [i386 amd64], module-init-tools [i386 arm64 armeb armel armhf amd64 alpha hppa ia64 m68k mips mipsel powerpc ppc64el s390 sh4 sparc sparc64], bf-utf-source [!s390 !s390x], mkvmlinuz [powerpc], openssl, makefs [kfreebsd-i386 kfreebsd-amd64], grub-pc (>= 1.98~20100101-1) [kfreebsd-i386 kfreebsd-amd64 hurd-i386], xorriso [kfreebsd-i386 kfreebsd-amd64 hurd-i386 ppc64el], grub-efi-amd64-bin (>= 2.00) [amd64], grub-common [amd64], debian-ports-archive-keyring [sh4 sparc64], grub-ieee1275-bin [ppc64el]
# This package has the worst Build-Depends in Debian, so it deserves some
# explanation. Note that this comment can also be used to generate a
# Build-Depends line, by running the debian/genbuilddeps program.
# So put each build dep on its own line, prefixed by " - " and to
# comment out a build dep, start the line with two hashes. And don't edit
# the Build-Depends line above by hand.
#
# Base build dependencies:
#	- debhelper (>= 7.0.0)
#		Of course.
# 	- apt
# 		Used for downloading udebs.
# 	- apt-utils
# 		apt-ftparchive is used for including localudebs.
#	- gnupg
#		New versions of apt need gnupg for security checks.
#	- ubuntu-keyring
#		To provide the archive key for security checks.
#	- dctrl-tools
#		Various manipulations of the udeb Packages files.
#	- wget
#		Used to test validity of mirrors.
#	- bc
#		Used for some image size calculations.
#	- debiandoc-sgml
#		partman's manual is in debiandoc.
#	- xsltproc
#	- docbook-xml
#	- docbook-xsl
#		The d-i internals manual is in DocBook XML.
#	- libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
#		For bdftobogl used in font reduction.
#	- lsb-release
#		Provides system version information.
#	
# Library build dependencies:
#	- glibc-pic
#		For library reduction.
#	- libslang2-pic (>= 2.0.6-4)
#		Make dependency versioned temporarily to make sure we avoid #392942
#	- libnewt-pic (>= 0.52.2-11.3) [!mipsel]
#		Rather than use slang and newt udebs, reduced versions of
#		the libraries are put onto images to save space.
#	- libnewt-dev (>= 0.52.2-11.3) [mipsel]
#		On mipsel, we can't use libnewt-pic right now due to bug
#		#329733. See also Build-Conflicts above.
#	- libgcc1 [i386 amd64]
#		On x86 we need to include /lib/libgcc_s.so.1 in g-i initrds to
#		work around #373253 until upstream can remove pthread_cancel()
#		On i386 
#		calls in directfb. For now, this is done by setting EXTRAFILES.
#
# Filesystem tools:
#	- cramfsprogs [powerpc ia64 mips mipsel armeb armel]
#		For arches that use cramfs initrds.
#	- genext2fs (>= 1.3-7.1)
#		For creating ext2 filesystems without being root.
#		1.3-7.1 fixes issues on several arches.
#	- e2fsprogs
#		genext2fs doesn't produce perfect filesystems, so we fsck
#		them.
#		Lintian: Yes, we know it's essential. We prefer not to
#		count on it remaining so.
#	- mklibs (>= 0.1.25)
#		We use mklibs for library reduction.
#	- genisoimage (>= 9:1.1.10-1ubuntu2) [!s390 !s390x]
#		For making mini isos.
#	- genromfs [sparc sparc64]
#		Used for creating sparc floppies (which are not built by
#		default.)
#	- hfsutils [powerpc]
#		For making bootable HFS USB sticks for powerpc.
#	- dosfstools (>= 3.0.9-1ubuntu2) [i386 ia64 m68k amd64 armel armhf]
#		For creating FAT filesystems with mkfs.msdos.
#		Of course i386/amd64 use this for floppies, CDs etc.
#		ia64 uses it for floppies (?)
#		m68k uses it for atari floppies
#		armel/armhf uses it for omap3/4 netboot images and requires
#		3.0.9-1ubuntu2 to create bootable filesystems on OMAP
#	- cpio
#		For creating initramfs images.
#	- devio [armeb armel]
#		Tool to read and write from block devices, used to byteswap
#		kernels and add nslu2 boot magic.
#	- parted [armel armhf]
#		For ARM OMAP images.
#	- slugimage (>= 0.10+r58-6) [armeb armel]
#		For building nslu2 firmware images.
#	- u-boot-tools [arm64 armel armhf]
#		For creating u-boot images
#
# Boot loaders:
#	On many arches boot loaders are copied onto or ran on the boot
#	images in one way or another. There's a reason our mailing list is
#	still called debian-boot..
#	- syslinux (>= 2:4.02) [i386 amd64]
#		With isohybrid.
#	- palo [hppa]
#	- elilo [ia64]
#	- yaboot [powerpc]
#		For all our powerpc boot needs. Well, not really.
#	- aboot (>= 0.9b-2) [alpha]
#		A previous version didn't have netabootwrap.
#	- silo [sparc]
#		Using silo is problimatic since it needs to run as root,
#		so images that need it are not built by default, but we
#		include it for completeness.
#	- sparc-utils [sparc sparc64]
#		For elftoaout and piggyback, to make netboot images.
#	- genisovh [mips]
#		Makes mini iso images bootable on SGI MIPSen.
#	- tip22 [mips]
#		Piggyback netboot images.
#	- colo [mipsel]
#		For booting Cobalt machines.
#	- sibyl [mips mipsel]
# 		For booting the SWARM board.
#	- atari-bootstrap [m68k]
#		Booting and other tools for Atari systems.
#	- vmelilo [m68k]
#	- m68k-vme-tftplilo [m68k]
#		For VME machines, although it doesn't yet support running
#		as non-root, the install will try to use it and fall back
#		to a warning when it fails.
#	- amiboot [m68k]
#		Bootloader for m68k/amiga machines.
#	- emile [m68k]
#	- emile-bootblocks [m68k]
#		Bootloader for m68k/mac machines.
#	- u-boot [armel armhf]
#		First and second state bootloaders for various ARM boards
#	- shim-signed [amd64]
#		First-stage bootloader for UEFI Secure Boot
#
# Architecture specific build dependencies:
#	- tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64]
#		For todos, used on files that need to be accessible from
#		DOS.
#	- mtools [i386 ia64 m68k amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 armel armhf]
#		mcopy is used to put files onto FAT filesystems w/o
#		mounting them.
#	- po4a [i386 amd64]
#	- python3 (>= 3.1) [i386 amd64]
#		For building gfxboot help texts.
#
#	- module-init-tools [i386 arm64 armeb armel armhf amd64 alpha hppa ia64 m68k mips mipsel powerpc ppc64el s390 sh4 sparc sparc64]
#		depmod for 2.6 kernels on the arches that support 2.6.
#
#	- bf-utf-source [!s390 !s390x]
#		Contains the unicode font we use. Not a udeb since we
#		perform font reduction at build time.
#	- mkvmlinuz [powerpc]
#		Used to make powerpc images that can boot direct from
#		firmware w/o using a boot loader.
#	- openssl
#		Used to encrypt a firmware image so an ARM based device
#		(Thecus N2100) will accept it. Also useful on other
#		architectures if SSL_CERTS has been set locally.
#	- makefs [kfreebsd-i386 kfreebsd-amd64]
#		Used to create an UFS1 filesystem from a directory tree.
#	- grub-pc (>= 1.98~20100101-1) [kfreebsd-i386 kfreebsd-amd64 hurd-i386]
#		Used as the CD-ROM's bootloader
#       - xorriso [kfreebsd-i386 kfreebsd-amd64 hurd-i386 ppc64el]
#               Used by grub-pc/grub-ieee1275-bin to create the CD-ROM images
#	- grub-efi-amd64-bin (>= 2.00) [amd64]
#		EFI bootloader support.
#	- grub-common [amd64]
#		For the GRUB font.
#	- debian-ports-archive-keyring [sh4 sparc64]
#		Used for architectures hosted on debian-ports.org
#	- grub-ieee1275-bin [ppc64el]
#		IEEE1275 bootloader support.

Package: debian-installer
Architecture: any
Description: Debian installer
 This package currently only contains some documentation for the Debian
 installer. We welcome suggestions about what else to put in it.

Package: debian-installer-udebs
XC-Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${udeb:Depends}
Description: Metapackage depending on debian-installer's built-in udebs
 This package depends on the set of udebs that the current debian-installer
 build was built against, for easier version and migration tracking.

=== debian/rules ===
#! /usr/bin/make -f

ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
DATE=$(shell echo $(VERSION) | cut -d '.' -f 1)
SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2 | cut -d - -f 1)
ifeq (${SUITE},UNRELEASED)
USE_UDEBS_FROM=trusty
TRANSSTATUS=
BOOTMENU_BEEP=n
else
USE_UDEBS_FROM=$(SUITE)
USE_PROPOSED_UPDATES=0
TRANSSTATUS=translation-status
BOOTMENU_BEEP=y
endif

ARCHIVEDIR=debian/tmp/installer-$(ARCH)
DESTDIR=$(ARCHIVEDIR)/$(VERSION)
IMAGEDIR=$(DESTDIR)/images
TARNAME=debian-installer-images_$(VERSION)_$(ARCH).tar.gz

export NO_PNG_PKG_MANGLE=1

clean:
	dh_testdir
	dh_testroot
	dh_clean
	$(MAKE) -C build reallyclean
	$(MAKE) -C doc/devel/partman clean
	$(MAKE) -C doc/devel/internals clean

# Must run as root, so is not run as part of regular build.
build-images:
	$(MAKE) -C build all_build stats release \
		USE_UDEBS_FROM=$(USE_UDEBS_FROM) BUILD_DATE=$(DATE) \
		USE_PROPOSED_UPDATES=$(USE_PROPOSED_UPDATES) \
		TRANSSTATUS=$(TRANSSTATUS) BOOTMENU_BEEP=$(BOOTMENU_BEEP)
	
build: build-stamp
build-stamp:
	rm -f $@
	$(MAKE) -C doc/devel/internals
	$(MAKE) -C doc/devel/partman
	touch $@

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	
	debian/rules build-images

	install -d $(IMAGEDIR)
	cp -a build/dest/* $(IMAGEDIR)
	ln -s $(VERSION) $(ARCHIVEDIR)/current

binary-arch: install  
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs doc/* -X Makefile -X build.sh -X .xsl \
		-X internals.xml -X partman-doc.sgml
	dh_compress
	dh_fixperms

	# Only depend on the packages, not versions, at least for now:
	echo -n "udeb:Depends=" >> debian/debian-installer-udebs.substvars
	while read p v a; do \
		echo -n "$$p, " >> debian/debian-installer-udebs.substvars; \
	done < build/dest/udeb.list
	echo "" >> debian/debian-installer-udebs.substvars
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	cd debian/tmp && tar czvf ../../../$(TARNAME) .
	dpkg-distaddfile $(TARNAME) raw-installer -

binary-indep:

binary: binary-indep binary-arch 
.PHONY: build build-images clean binary-indep binary-arch binary install

## debian-installer 20101020ubuntu318.41

=== debian/changelog ===
debian-installer (20101020ubuntu318.41) trusty; urgency=medium

  * No change rebuild to pick up the latest change in preseed (LP: #1452202) 

 -- Eric Desrochers <eric.desrochers@canonical.com>  Mon, 17 Oct 2016 17:29:25 -0400

debian-installer (20101020ubuntu318.40) trusty; urgency=medium

  * Stop stripping modules; it removes the signatures (LP: #1604441)
  * Move master kernels to 3.13.0-92.
  * Move keystone kernels to 3.13.0-63.
  * Move lts-utopic kernels to 3.16.0-77.
  * Move lts-vivid kernels to 3.19.0-65.
  * Move lts-wily kernels to 4.2.0-42.
  * Move lts-xenial kernels to 4.4.0-31.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 25 Jul 2016 13:28:11 -0600

debian-installer (20101020ubuntu318.39) trusty; urgency=medium

  * generate grub.efi and netboot.tar.gz for trusty on ARM64.  LP: #1564653.

  [ Steve Langasek ]
  * adjust backport to be more consistent with the code in xenial and above.

 -- Ming Lei <ming.lei@canonical.com>  Wed, 11 May 2016 09:44:07 +0800

debian-installer (20101020ubuntu318.38) trusty; urgency=medium

  * Enable lts-xenial builds (LP: #1568918)
  * Move master kernels to 3.13.0-85.
  * Move keystone kernels to 3.13.0-55.
  * Move lts-utopic kernels to 3.16.0-70.
  * Move lts-vivid kernels to 3.19.0-58.
  * Move lts-wily kernels to 4.2.0-35.
  * Move lts-xenial kernels to 4.4.0-21.
  * Bump FLOPPY_SIZE to xenial sizes + 3MB.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 02 May 2016 08:22:08 -0600

debian-installer (20101020ubuntu318.37) trusty; urgency=medium

  * No-change rebuild to pick up the latest glibc security update.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 16 Feb 2016 22:49:07 -0700

debian-installer (20101020ubuntu318.36) trusty; urgency=medium

  * Move master kernels to 3.13.0-77.
  * Move keystone kernels to 3.13.0-47.
  * Move lts-utopic kernels to 3.16.0-60.
  * Move lts-vivid kernels to 3.19.0-49.
  * Move lts-wily kernels to 4.2.0-27.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 13 Feb 2016 22:43:28 -0700

debian-installer (20101020ubuntu318.35) trusty; urgency=medium

  * No-change rebuild to catch the libdebian-installer fix for PowerNV
    support. (LP: #1523637)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 08 Feb 2016 14:52:26 -0500

debian-installer (20101020ubuntu318.34) trusty; urgency=medium

  * No-change upload to pick up udev-udeb with persistent net generator fix.
    (LP: #1537136)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 26 Jan 2016 11:26:33 +0100

debian-installer (20101020ubuntu318.33) trusty; urgency=medium

  * Add lts-wily variants for all targets except for e500, for which
    support was dropped with the utopic kernel and up (LP: #1524366)
  * Add lts-xenial variants for all targets but e500, commented out.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 09 Dec 2015 07:35:12 -0700

debian-installer (20101020ubuntu318.32) trusty; urgency=medium

  * Move master kernels to 3.13.0-67.
  * Move keystone kernels to 3.13.0-39.
  * Move lts-utopic kernels to 3.16.0-52.
  * Move lts-vivid kernels to 3.19.0-32.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 04 Nov 2015 10:03:27 -0700

debian-installer (20101020ubuntu318.31) trusty; urgency=medium

  * Move master kernels to 3.13.0-66.
  * Move keystone kernels to 3.13.0-38.
  * Move lts-utopic kernels to 3.16.0-51 (LP: #1481490)
  * Move lts-vivid kernels to 3.19.0-31.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 04 Nov 2015 08:02:21 -0700

debian-installer (20101020ubuntu318.30) trusty; urgency=medium

  * Move keystone kernels to 3.13.0-37.
  * Move lts-utopic kernels to 3.16.0-50.
  * Move lts-vivid kernels to 3.19.0-30 (LP: #1481490)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 01 Oct 2015 13:47:12 -0600

debian-installer (20101020ubuntu318.29) trusty; urgency=medium

  * Move master kernels to 3.13.0-65 (LP: #1481490)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 29 Sep 2015 12:47:55 -0400

debian-installer (20101020ubuntu318.28) trusty; urgency=medium

  * Move master kernels to 3.13.0-61.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 29 Jul 2015 15:01:40 -0600

debian-installer (20101020ubuntu318.27) trusty; urgency=medium

  * Move master kernels to 3.13.0-59.
  * Move keystone kernels to 3.13.0-34.
  * Move lts-utopic kernels to 3.16.0-45.
  * Move lts-vivid kernels to 3.19.0-25.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 27 Jul 2015 17:54:16 -0600

debian-installer (20101020ubuntu318.26) trusty; urgency=medium

  * Rebuild to pull in the new debian-installer-utils (LP: #1402042)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 17 Jul 2015 16:04:45 -0400

debian-installer (20101020ubuntu318.25) trusty; urgency=medium

  * Bump FLOPPY_SIZE on amd64 and i386 to accomodate new firmware.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 04 Jul 2015 17:05:36 -0600

debian-installer (20101020ubuntu318.24) trusty; urgency=medium

  * No-change rebuild against the latest grub2 and linux-firmware.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 04 Jul 2015 16:39:37 -0600

debian-installer (20101020ubuntu318.23) trusty; urgency=medium

  * Move master kernels to 3.13.0-57.
  * Move keystone kernels to 3.13.0-32.
  * Move lts-utopic kernels to 3.16.0-43.
  * Move lts-vivid kernels to 3.19.0-22.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 22 Jun 2015 19:03:45 -0600

debian-installer (20101020ubuntu318.22) trusty; urgency=medium

  * No-change rebuild against the latest kernels (LP: #1465998)

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 19 Jun 2015 15:04:34 -0600

debian-installer (20101020ubuntu318.21) trusty; urgency=medium

  * Move master kernels to 3.13.0-55.
  * Move keystone kernels to 3.13.0-30.
  * Move lts-utopic kernels to 3.16.0-41.
  * Move lts-vivid kernels to 3.19.0-21.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 15 Jun 2015 14:12:33 -0600

debian-installer (20101020ubuntu318.20) trusty; urgency=medium

  * Move lts-utopic kernels to 3.16.0-40.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 10 Jun 2015 19:41:00 -0600



## debian-installer 20101020ubuntu318.42

=== debian/changelog ===
debian-installer (20101020ubuntu318.42) trusty; urgency=medium

  * Drop support for removed keystone kernel (LP: #1623090)
  * Move master kernels to 3.13.0-110.
  * Move lts-xenial kernels to 4.4.0-64 (LP: #1625222)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 28 Feb 2017 09:32:13 -0700

## debian-installer 20101020ubuntu318.46

=== build/Makefile ===
--- 
+++ 
@@ -65,6 +65,15 @@
 DEB_HOST_MULTIARCH = $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 export DEB_HOST_ARCH DEB_HOST_ARCH_OS DEB_HOST_GNU_CPU DEB_HOST_GNU_SYSTEM DEB_HOST_MULTIARCH
 endif
+
+define drop_lang
+	@echo "Dropping languages: $(1)"
+	@set -e; \
+	for FILE in $$(find $(TREE)/var/lib/dpkg -name "*.templates"); do \
+		perl -e 'my $$status=0; my $$drop=shift; while (<>) { if (/^[A-Z]/ || /^$$/) { if (/^(Choices|Description|Indices|Default)-($$drop)/ && ! /^Choices-C:/) { $$status = 0 } else { $$status = 1 } } print if ($$status); }' $(1) < $$FILE > temp; \
+		mv temp $$FILE; \
+	done
+endef
 
 # We loop over all needed combinations of ARCH, SUBARCH, MEDIUM, FLAVOUR
 # via recursive make calls. ARCH is constant, we don't support
@@ -369,15 +378,3 @@
 	done
 endif
 
-ifdef SSL_CERTS
-	# Copy in any SSL certificates.
-	mkdir -p $(TREE)/etc/ssl/certs
-	cp -a $(SSL_CERTS) $(TREE)/etc/ssl/certs/
-	c_rehash $(TREE)/etc/ssl/certs
-	mkdir -p $(TREE)/usr/lib/ssl
-	ln -nsf ../../../etc/ssl/certs $(TREE)/usr/lib/ssl/certs
-endif
-
-ifeq ($(DEB_HOST_ARCH_OS),linux)
-ifdef KERNELVERSION
-	# Set up modules.dep, ensure there is at least one standard dir (kernel

=== debian/changelog ===
debian-installer (20101020ubuntu318.46) trusty; urgency=medium

  * build/util/efi-image: Fix up FAT filesystem size calculation:
    - Call mkfs.msdos with -v so we can trace what it's doing.
    - We appear to need 32k headroom, not 24k; this was masked
      by rounding errors and blind luck until grub grew 1.5kB.
    - Break out the magic headroom number into 32+31 to match
      the comment and make the arithmetic more obvious to read.
    - Round file sizes up, not down, so we don't break in future.
  * Move master kernels to 3.13.0-165 for the 14.04.6 release.
  * Move lts-xenial kernels to 4.4.0-142 for the 14.04.6 release.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 01 Mar 2019 11:08:45 -0700

debian-installer (20101020ubuntu318.45) trusty; urgency=medium

  * build/pkg-lists/base: add ca-certificates-udeb to enable HTTPS
    without d-i/allow_unauthenticated_ssl in stock initramfs image
    as in Debian. (LP: #1807023)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Mon, 26 Nov 2018 16:49:46 -0200

debian-installer (20101020ubuntu318.44) trusty; urgency=medium

  * Move lts-xenial kernels to 4.4.0-134 (LP: #1783152)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Thu, 23 Aug 2018 18:38:36 -0300

debian-installer (20101020ubuntu318.43) trusty; urgency=medium

  * Include $efi_name in shim filename. (LP: #1743787)
  * Rebuild to pick up the latest change in preseed. (LP: #1745531)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Fri, 19 Jan 2018 09:20:25 -0500

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/debian-installer/ubuntu
 Build-Conflicts: libnewt-pic [mipsel]
 # NOTE: Do not edit the next line by hand. See comment below.
-Build-Depends: debhelper (>= 7.0.0), apt, apt-utils, gnupg, ubuntu-keyring, dctrl-tools, wget, bc, debiandoc-sgml, xsltproc, docbook-xml, docbook-xsl, libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], lsb-release, glibc-pic, libslang2-pic (>= 2.0.6-4), libnewt-pic (>= 0.52.2-11.3) [!mipsel], libnewt-dev (>= 0.52.2-11.3) [mipsel], libgcc1 [i386 amd64], cramfsprogs [powerpc ia64 mips mipsel armeb armel], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.25), genisoimage (>= 9:1.1.10-1ubuntu2) [!s390 !s390x], genromfs [sparc sparc64], hfsutils [powerpc], dosfstools (>= 3.0.9-1ubuntu2) [i386 ia64 m68k amd64 armel armhf], cpio, devio [armeb armel], parted [armel armhf], slugimage (>= 0.10+r58-6) [armeb armel], u-boot-tools [arm64 armel armhf], syslinux (>= 2:4.02) [i386 amd64], palo [hppa], elilo [ia64], yaboot [powerpc], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc sparc64], genisovh [mips], tip22 [mips], colo [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], amiboot [m68k], emile [m68k], emile-bootblocks [m68k], u-boot [armel armhf], shim-signed [amd64], tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64], mtools [i386 ia64 m68k amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 armel armhf], po4a [i386 amd64], python3 (>= 3.1) [i386 amd64], module-init-tools [i386 arm64 armeb armel armhf amd64 alpha hppa ia64 m68k mips mipsel powerpc ppc64el s390 sh4 sparc sparc64], bf-utf-source [!s390 !s390x], mkvmlinuz [powerpc], openssl, makefs [kfreebsd-i386 kfreebsd-amd64], grub-pc (>= 1.98~20100101-1) [kfreebsd-i386 kfreebsd-amd64 hurd-i386], xorriso [kfreebsd-i386 kfreebsd-amd64 hurd-i386 ppc64el], grub-efi-amd64-bin (>= 2.00) [amd64], grub-common [amd64], debian-ports-archive-keyring [sh4 sparc64], grub-ieee1275-bin [ppc64el]
+Build-Depends: debhelper (>= 7.0.0), apt, apt-utils, gnupg, ubuntu-keyring, dctrl-tools, wget, bc, debiandoc-sgml, xsltproc, docbook-xml, docbook-xsl, libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], lsb-release, glibc-pic, libslang2-pic (>= 2.0.6-4), libnewt-pic (>= 0.52.2-11.3) [!mipsel], libnewt-dev (>= 0.52.2-11.3) [mipsel], libgcc1 [i386 amd64], cramfsprogs [powerpc ia64 mips mipsel armeb armel], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.25), genisoimage (>= 9:1.1.10-1ubuntu2) [!s390 !s390x], genromfs [sparc sparc64], hfsutils [powerpc], dosfstools (>= 3.0.9-1ubuntu2) [i386 ia64 m68k amd64 armel armhf arm64], cpio, devio [armeb armel], parted [armel armhf], slugimage (>= 0.10+r58-6) [armeb armel], u-boot-tools [arm64 armel armhf], syslinux (>= 2:4.02) [i386 amd64], palo [hppa], elilo [ia64], yaboot [powerpc], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc sparc64], genisovh [mips], tip22 [mips], colo [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], amiboot [m68k], emile [m68k], emile-bootblocks [m68k], u-boot [armel armhf], shim-signed [amd64], tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64], mtools [i386 ia64 m68k amd64 arm64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 armel armhf], po4a [i386 amd64], python3 (>= 3.1) [i386 amd64], module-init-tools [i386 arm64 armeb armel armhf amd64 alpha hppa ia64 m68k mips mipsel powerpc ppc64el s390 sh4 sparc sparc64], bf-utf-source [!s390 !s390x], mkvmlinuz [powerpc], openssl, makefs [kfreebsd-i386 kfreebsd-amd64], grub-pc (>= 1.98~20100101-1) [kfreebsd-i386 kfreebsd-amd64 hurd-i386], xorriso [kfreebsd-i386 kfreebsd-amd64 hurd-i386 ppc64el], grub-efi-amd64-bin (>= 2.00) [amd64], grub-efi-arm64-bin [arm64], grub-common [amd64 arm64], debian-ports-archive-keyring [sh4 sparc64], grub-ieee1275-bin [ppc64el]
 # This package has the worst Build-Depends in Debian, so it deserves some
 # explanation. Note that this comment can also be used to generate a
 # Build-Depends line, by running the debian/genbuilddeps program.
@@ -82,7 +82,7 @@
 #		default.)
 #	- hfsutils [powerpc]
 #		For making bootable HFS USB sticks for powerpc.
-#	- dosfstools (>= 3.0.9-1ubuntu2) [i386 ia64 m68k amd64 armel armhf]
+#	- dosfstools (>= 3.0.9-1ubuntu2) [i386 ia64 m68k amd64 armel armhf arm64]
 #		For creating FAT filesystems with mkfs.msdos.
 #		Of course i386/amd64 use this for floppies, CDs etc.
 #		ia64 uses it for floppies (?)
@@ -148,7 +148,7 @@
 #	- tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64]
 #		For todos, used on files that need to be accessible from
 #		DOS.
-#	- mtools [i386 ia64 m68k amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 armel armhf]
+#	- mtools [i386 ia64 m68k amd64 arm64 kfreebsd-i386 kfreebsd-amd64 hurd-i386 armel armhf]
 #		mcopy is used to put files onto FAT filesystems w/o
 #		mounting them.
 #	- po4a [i386 amd64]
@@ -174,9 +174,9 @@
 #		Used as the CD-ROM's bootloader
 #       - xorriso [kfreebsd-i386 kfreebsd-amd64 hurd-i386 ppc64el]
 #               Used by grub-pc/grub-ieee1275-bin to create the CD-ROM images
-#	- grub-efi-amd64-bin (>= 2.00) [amd64]
+#	- grub-efi-amd64-bin (>= 2.00) [amd64], grub-efi-arm64-bin [arm64]
 #		EFI bootloader support.
-#	- grub-common [amd64]
+#	- grub-common [amd64 arm64]
 #		For the GRUB font.
 #	- debian-ports-archive-keyring [sh4 sparc64]
 #		Used for architectures hosted on debian-ports.org
